View Issue Details

IDProjectCategoryView StatusLast Update
0004440Project Tools & WebsitesGeneralpublic2020-10-15 17:58
Reporterebd2 Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Summary0004440: Frequent Questions link in README.md is broken
DescriptionClicking the Frequent Questions link on https://github.com/FreeCAD/FreeCAD results in a file download instead of navigating to any of the possible pages on https://wiki.freecadweb.org
Steps To Reproduce1. Navigate to https://github.com/FreeCAD/FreeCAD#usage--getting-help
2. Click the Frequent Questions link
3.
$ cat ~/download/FAQ
The MediaWiki FAQ can be found at:
https://www.mediawiki.org/wiki/Special:MyLanguage/Manual:FAQ$

Tested in Opera and Safari

Dummy info in FreeCAD Information; not a bug with FreeCAD (I'm still downloading it :-) )
TagsNo tags attached.
FreeCAD Information    OS: Debian GNU/Linux bullseye/sid
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.4.
Build type: Release
Python version: 3.8.3
Qt version: 5.12.5
Coin version: 4.0.0
OCC version: 7.4.0
Locale: English/United States (en_US)

Activities

ebd2

2020-09-19 00:57

reporter  

FAQ (95 bytes)   
The MediaWiki FAQ can be found at:
https://www.mediawiki.org/wiki/Special:MyLanguage/Manual:FAQ
FAQ (95 bytes)   

Kunda1

2020-10-03 12:36

administrator   ~0014773

Thanks for the heads up.

SudhanshuDubey

2020-10-03 14:05

reporter   ~0014774

Last edited: 2020-10-03 14:07

View 2 revisions

There are two FAQ links in the wiki:
1. https://wiki.freecadweb.org/FAQ/en
2. https://wiki.freecadweb.org/Frequently_asked_questions

Both have almost the same contents but the 1st one more translated so in my opinion that link should be replaced with the broken link.

And I noticed that all the wiki links in the README use redirects from www.freecad.org/wiki/ -> wiki.freecad.org, is that intentional or just some legacy stuff?

And can this issue be assigned to me, I want to start with debugging in FreeCAD. :)

Kunda1

2020-10-15 17:57

administrator   ~0014874

Fixed in FreeCAD master 6d819854

Related Changesets

FreeCAD: master 6d819854

2020-10-04 19:19:41

marioalexis


Committer: wwmayer Details Diff
README.md: Fix links to wiki Affected Issues
0004440
mod - README.md Diff File

Issue History

Date Modified Username Field Change
2020-09-19 00:57 ebd2 New Issue
2020-09-19 00:57 ebd2 File Added: FAQ
2020-10-03 12:36 Kunda1 Note Added: 0014773
2020-10-03 14:05 SudhanshuDubey Note Added: 0014774
2020-10-03 14:07 SudhanshuDubey Note Edited: 0014774 View Revisions
2020-10-15 17:57 Kunda1 Note Added: 0014874
2020-10-15 17:57 Kunda1 Changeset attached => FreeCAD master 6d819854
2020-10-15 17:58 Kunda1 Status new => closed
2020-10-15 17:58 Kunda1 Resolution open => fixed